summaryrefslogtreecommitdiff
path: root/make_device_config.sh
diff options
context:
space:
mode:
authorPaul Brook <paul@codesourcery.com>2010-11-27 00:43:04 +0000
committerPaul Brook <paul@codesourcery.com>2010-11-27 00:58:07 +0000
commitcf66924f81f022942e14b4e613f1bf0dd2bdf0eb (patch)
tree4c14b99dd9c13d91b46897fa44fe4e9c5eaa789f /make_device_config.sh
parent050e27c8c942151c0685342fe2cbac6a80eb1325 (diff)
downloadqemu-cf66924f81f022942e14b4e613f1bf0dd2bdf0eb.tar.gz
Detect missing config includes
Terminate make_device_config.sh if the awk command fails. Typically this means a missing file. Signed-off-by: Paul Brook <paul@codesourcery.com>
Diffstat (limited to 'make_device_config.sh')
-rw-r--r--make_device_config.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/make_device_config.sh b/make_device_config.sh
index 59f267b5ef..8abadfef7c 100644
--- a/make_device_config.sh
+++ b/make_device_config.sh
@@ -18,7 +18,8 @@ process_includes () {
f=$src
while [ -n "$f" ] ; do
- f=`awk '/^include / {print "'$src_dir'/" $2}' $f`
+ f=`awk '/^include / {ORS=" " ; print "'$src_dir'/" $2}' $f`
+ [ $? = 0 ] || exit 1
all_includes="$all_includes $f"
done
process_includes $src > $dest